Skip to main content
`Ctrl`+`K`

# scipy.special.ker

scipy.special.ker(x, out=None) = <ufunc 'ker'>

  Kelvin function ker.

  Defined as

  \[\mathrm{ker}(x) = \Re[K_0(x e^{\pi i / 4})]\]

  Where \(K_0\) is the modified Bessel function of the second kind (see `kv`). See [dlmf] for more details.

  Parameters:
    x array_like

      Real argument.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Values of the Kelvin function.

  See also

  `kei`

    the corresponding imaginary part

  `kerp`

    the derivative of ker

  `kv`

    modified Bessel function of the second kind

  References

  [dlmf]

  NIST, Digital Library of Mathematical Functions, https://dlmf.nist.gov/10.61

  Examples

  It can be expressed using the modified Bessel function of the second kind.

      >>> import numpy as np
      >>> import scipy.special as sc
      >>> x = np.array([1.0, 2.0, 3.0, 4.0])
      >>> sc.kv(0, x * np.exp(np.pi * 1j / 4)).real
      array([ 0.28670621, -0.04166451, -0.06702923, -0.03617885])
      >>> sc.ker(x)
      array([ 0.28670621, -0.04166451, -0.06702923, -0.03617885])